> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a delivery with its attempts

> Returns a single delivery for a webhook subscription along with the full list of captured attempt records. Each attempt includes the request URL, method, headers and body, whether it was signed, and the response status, headers, and snippet.



## OpenAPI

````yaml /api-reference/webhooks.yaml get /webhooks/{id}/deliveries/{deliveryId}
openapi: 3.1.0
info:
  title: Webhooks
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /webhooks/{id}/deliveries/{deliveryId}:
    get:
      tags:
        - Webhook Deliveries
      summary: Get a delivery with its attempts
      description: >-
        Returns a single delivery for a webhook subscription along with the full
        list of captured attempt records. Each attempt includes the request URL,
        method, headers and body, whether it was signed, and the response
        status, headers, and snippet.
      operationId: getWebhookDelivery
      parameters:
        - schema:
            type: string
            format: uuid
            example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          name: id
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: deliveryId
          in: path
      responses:
        '200':
          description: Delivery with captured attempts
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      endpointId:
                        type: string
                        format: uuid
                      eventId:
                        type: string
                      eventType:
                        type: string
                      source:
                        type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - success
                          - skipped
                          - dead
                      attempts:
                        type: array
                        items:
                          type: object
                          properties:
                            attemptNo:
                              type: number
                            requestUrl:
                              type: string
                            requestMethod:
                              type: string
                            requestHeaders:
                              type:
                                - object
                                - 'null'
                              additionalProperties:
                                type: string
                            requestBody:
                              type:
                                - string
                                - 'null'
                            signed:
                              type: boolean
                            responseStatus:
                              type:
                                - number
                                - 'null'
                            responseHeaders:
                              type:
                                - object
                                - 'null'
                              additionalProperties:
                                type: string
                            responseSnippet:
                              type:
                                - string
                                - 'null'
                            durationMs:
                              type:
                                - number
                                - 'null'
                            error:
                              type:
                                - string
                                - 'null'
                            sentAt:
                              type: string
                          required:
                            - attemptNo
                            - requestUrl
                            - requestMethod
                            - requestHeaders
                            - requestBody
                            - signed
                            - responseStatus
                            - responseHeaders
                            - responseSnippet
                            - durationMs
                            - error
                            - sentAt
                      lastStatusCode:
                        type:
                          - number
                          - 'null'
                      lastError:
                        type:
                          - string
                          - 'null'
                      durationMs:
                        type:
                          - number
                          - 'null'
                      isTest:
                        type: boolean
                      occurredAt:
                        type: string
                      createdAt:
                        type: string
                      completedAt:
                        type:
                          - string
                          - 'null'
                    required:
                      - id
                      - endpointId
                      - eventId
                      - eventType
                      - source
                      - status
                      - attempts
                      - lastStatusCode
                      - lastError
                      - durationMs
                      - isTest
                      - occurredAt
                      - createdAt
                      - completedAt
                required:
                  - data
        '401':
          description: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Mobilerun from '@mobilerun/sdk';

            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.webhooks.deliveries.retrieveAttempts(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              { id: '550e8400-e29b-41d4-a716-446655440000' },
            );

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.webhooks.deliveries.retrieve_attempts(
                delivery_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                id="550e8400-e29b-41d4-a716-446655440000",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/droidrun-cloud-go\"\n\t\"github.com/stainless-sdks/droidrun-cloud-go/option\"\n)\n\nfunc main() {\n\tclient := mobileruncloud.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Webhooks.Deliveries.GetAttempts(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\tmobileruncloud.WebhookDeliveryGetAttemptsParams{\n\t\t\tID: \"550e8400-e29b-41d4-a716-446655440000\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: CLI
          source: |-
            mobilerun-cloud webhooks:deliveries retrieve-attempts \
              --api-key 'My API Key' \
              --id 550e8400-e29b-41d4-a716-446655440000 \
              --delivery-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````